Skip to main content
POST
/
action
/
social_post_creator_generate_post_action
[SC2] Create Social Post
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/social_post_creator_generate_post_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "topic": "<string>",
  "post_format": "text",
  "output_variable_name": "social_post",
  "image_style": "conceptual",
  "image_aspect_ratio": "portrait",
  "key_points": "<string>",
  "cta_intent": "engage",
  "link_url": "<string>",
  "content_pillar": "<string>",
  "brand_voice": "professional_authoritative",
  "brand_primary_color": "<string>",
  "brand_secondary_color": "<string>",
  "brand_logo_url": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
topic
string
required

What is this post about? Be specific for best results.

post_format
enum<string>
default:text
required
Available options:
text,
image
output_variable_name
string
default:social_post
required

Variable name for the result.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
image_style
enum<string>
default:conceptual

Only applies when format is Image Post.

Available options:
conceptual,
data_stat,
quote_card,
infographic
image_aspect_ratio
enum<string>
default:portrait

Portrait takes up more feed space on mobile.

Available options:
portrait,
square
key_points
string

Any specific data, anecdote, or angle to include.

cta_intent
enum<string>
default:engage
Available options:
engage,
visit_link,
follow,
dm

Only used when CTA goal is Visit Link. Placed in first comment, not post body.

content_pillar
string

Which content pillar this post maps to.

brand_voice
enum<string>
Available options:
professional_authoritative,
conversational_relatable,
bold_opinionated,
warm_supportive,
witty_playful,
educational_helpful
brand_primary_color
string

Hex code (e.g. #1d4ed8). Used as the dominant color in generated images.

brand_secondary_color
string

Hex code (e.g. #f59e0b). Used as accent color in generated images.

brand_logo_url
string

S3 or public URL to brand logo (PNG/SVG). Used in quote cards and infographics.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action